be.ehealth.technicalconnector.service.sts

## Interface STSService

- All Known Implementing Classes:
    STSServiceWsTrustImpl, STSServiceWsTrustSAML11Impl, STSServiceWsTrustSAML20Impl

      public interface STSService

  The eHealth-platform Secure Token Service provides a web service interface to request a SAML Assertion token using the Request Secure Token operation. The service provided via this technical connector allows the invocation of this operation based on specific input parameters. Based on these parameters, a signed SAML request is created and sent to the eHealth-platform service.

  Factory : `STSServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String subjectConfirmationMethod, Duration validity)` Deprecated.
    `default Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String subjectConfirmationMethod, int validity)` Deprecated.
    `default Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String authenticationMethod, String nameQualifier, String value, String subjectConfirmationMethod, Duration validity)` Deprecated.
    `default Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String authenticationMethod, String nameQualifier, String value, String subjectConfirmationMethod, int validity)` Deprecated.
    `Element` | `getToken(SAMLRequest request)`
    `Element` | `renewToken(Credential headerCredentials, Credential bodyCredentials, Element samlToken, Duration validity)`
    `default Element` | `renewToken(Credential headerCredentials, Credential bodyCredentials, Element samlToken, int validity)` Deprecated.

- - ### Method Detail

    - #### getToken

          @Deprecated
          default Element getToken(Credential headerCredentials,
                                                Credential bodyCredentials,
                                                List<SAMLAttribute> attributes,
                                                List<SAMLAttributeDesignator> designators,
                                                String subjectConfirmationMethod,
                                                int validity)
                                         throws TechnicalConnectorException

      Deprecated.
      Gets the token.
      Parameters:
        `headerCredentials` - Credentials used for securing the SOAP request message.
        `bodyCredentials` - Credentials used for securing the SAML request.
        `attributes` - List of Attributes containing user/organization information.
        `designators` - List of Designators.
        `subjectConfirmationMethod` -
        `validity` - the validity of the session in hours.
      Returns:
        SAML assertion token provided by eHealth-platform.
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getToken

          @Deprecated
          default Element getToken(Credential headerCredentials,
                                                Credential bodyCredentials,
                                                List<SAMLAttribute> attributes,
                                                List<SAMLAttributeDesignator> designators,
                                                String subjectConfirmationMethod,
                                                Duration validity)
                                         throws TechnicalConnectorException

      Deprecated.
      Throws:
        `TechnicalConnectorException`

    - #### getToken

          @Deprecated
          default Element getToken(Credential headerCredentials,
                                                Credential bodyCredentials,
                                                List<SAMLAttribute> attributes,
                                                List<SAMLAttributeDesignator> designators,
                                                String authenticationMethod,
                                                String nameQualifier,
                                                String value,
                                                String subjectConfirmationMethod,
                                                int validity)
                                         throws TechnicalConnectorException

      Deprecated.
      Parameters:
        `headerCredentials` -
        `bodyCredentials` -
        `attributes` -
        `designators` -
        `subjectConfirmationMethod` -
        `nameQualifier` -
        `value` -
        `validity` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### getToken

          @Deprecated
          default Element getToken(Credential headerCredentials,
                                                Credential bodyCredentials,
                                                List<SAMLAttribute> attributes,
                                                List<SAMLAttributeDesignator> designators,
                                                String authenticationMethod,
                                                String nameQualifier,
                                                String value,
                                                String subjectConfirmationMethod,
                                                Duration validity)
                                         throws TechnicalConnectorException

      Deprecated.
      Throws:
        `TechnicalConnectorException`

    - #### getToken

          Element getToken(SAMLRequest request)
                    throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### renewToken

          @Deprecated
          default Element renewToken(Credential headerCredentials,
                                                  Credential bodyCredentials,
                                                  Element samlToken,
                                                  int validity)
                                           throws TechnicalConnectorException

      Deprecated.
      Parameters:
        `headerCredentials` -
        `bodyCredentials` -
        `samlToken` -
        `validity` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### renewToken

          Element renewToken(Credential headerCredentials,
                             Credential bodyCredentials,
                             Element samlToken,
                             Duration validity)
                      throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.